vga_getch(3)

NAME
vga_getch - wait for a key

SYNOPSIS
#include <vga.h> int vga_getch(void);

DESCRIPTION
waits for a key press just like getchar(3) would. For a non blocking check for a keypress use vga_getkey(3) or use vga_waitevent(3) if you want to wait for several events to occur at once.

SEE ALSO
svgalib(7), vgagl(7), libvga.config(5), vga_getkey(3), vga_setflipchar(3), vga_waitevent(3), getchar(3)

AUTHOR
This manual page was edited by Michael Weller <eowmob@exp-math.uni-essen.de>. The exact source of the referenced function as well as of the original documentation is unknown. It is very likely that both are at least to some extent are due to Harm Hanemaayer <H.Hanemaayer@inter.nl.net>. Occasionally this might be wrong. I hereby asked to be excused by the original author and will happily accept any additions or corrections to this first version of the svgalib manual.